import sys
sys.path.append('../src')
import pygame
import unittest
import sign
import cell
import gamestate
import map
import statescreen
import block


class TestSystem(unittest.TestCase):

    def setUp(self):
        self.cells = []
        for i in range(22):
            self.cells.append([])
            for j in range(22):
                self.cells[i].append(0)

        for i in range(22):
            for j in range(22):
                self.cells[i][j] = cell.RoadCell(i,j,False,False,False,False)

        self.cells[15][15] = cell.IntersectionCell(15,15,False,False,False,False)
        testMap = map.Map(self.cells,None)
        testMap.groupCells()

    def testPlacingTrafficLight(self):

        testBlock = block.IntersectionBlock(15,15,self.cells)
        testCell = self.cells[15][15];
        testCell.setTrafficSign(5,10)
        testSign = testCell.getSign
        self.assertTrue(testSign, "Sign at these intersection cell should not be None or NULL")



if __name__ == '__main__':
    
    suite = unittest.TestLoader().loadTestsFromTestCase(TestSystem)

    unittest.TextTestRunner(verbosity=2).run(suite)

